INTERFACE
SUBROUTINE AC_CLOUD_MODEL2(&
 & KIDIA ,KFDIA ,KLON ,KTDIA ,KLEV ,&
 & KJN ,KIIDIA ,KIFDIA ,KAUCR ,PDELP ,&
 & PNEB ,PQI ,PQL ,PR ,PAPRSF ,&
 & PT ,PDEOSA ,PBSFSI ,PBSFSL ,PBSFTI ,&
 & PBSFTL ,PEOASI ,PEOASL ,PEOATI ,PEOATL ,&
 & PEODSI ,PEODSL ,PEODTI ,PEODTL ,PUSAI ,&
 & PUSAL ,PUSBI ,PUSBL&
 & ) 
USE PARKIND1 ,ONLY: JPIM ,JPRB
USE YOMPHY3 ,ONLY: BSFSI ,BSFSN ,BSFTI ,BSFTN ,EOASI ,&
 & EOASN ,EOATI ,EOATN ,EODSI ,EODSN ,&
 & EODTI ,EODTN ,N_SPBAND ,&
 & FCM_IWC2DE ,FCM_LWC2RE ,&
 & FCM_AI ,FCM_AL ,&
 & FCM_B_AI ,FCM_B_AL ,FCM_B_BI ,FCM_B_BL ,&
 & FCM_DEL_AI ,FCM_DEL_AL ,&
 & FCM_DEL_DI ,FCM_DEL_DL ,&
 & FCM_MU_AI,FCM_MU_AL,FCM_MU_DI,FCM_MU_DL ,&
 & FCM_NU_AI,FCM_NU_AL,FCM_NU_DI,FCM_NU_DL ,&
 & FCM_P_AI ,FCM_P_AL ,FCM_P_DI ,FCM_P_DL ,&
 & FCM_P_GI ,FCM_P_GL ,FCM_Q_AI ,FCM_Q_AL ,&
 & FCM_Q_DI ,FCM_Q_DL ,FCM_Q_GI ,FCM_Q_GL ,&
 & USAI ,USAN ,USBI ,USBN 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KJN
INTEGER(KIND=JPIM),INTENT(IN) :: KIIDIA(KJN)
INTEGER(KIND=JPIM),INTENT(IN) :: KIFDIA(KJN)
INTEGER(KIND=JPIM),INTENT(IN) :: KAUCR
REAL(KIND=JPRB),INTENT(IN) :: PDELP (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PNEB (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PR (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PAPRSF (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PT (KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PDEOSA (KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PBSFSI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PBSFSL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PBSFTI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PBSFTL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEOASI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEOASL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEOATI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEOATL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEODSI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEODSL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEODTI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PEODTL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PUSAI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PUSAL (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PUSBI (KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PUSBL (KLON,KLEV)
END SUBROUTINE AC_CLOUD_MODEL2
END INTERFACE
