INTERFACE
SUBROUTINE MF_PHYS&
 & (CDCONF,KBL,KGPCOMP,KST,KEND,KGL1,KGL2,KGL3,KGL4,KOFF,KSTGLO,&
 & LDRETCFOU,LDWRTCFOU0,LDLADNMI,PDTPHY,&
 & YDCSGEOM,YDGSGEOM,YDOROG,POROGL,POROGM,&
 & PCUCONVCA,PNLCONVCA,&
 & PGMV,PGMVS,PGFL,PWT0,PWT0L,PWT0M,&
 & PRCP0,PHI0,PHIF0,PRE0,PRE0F,PREPHY0,PREPHY0F,PXYB0,PVCASRS0H,&
 & PWT9,PRCP9,PHI9,PHIF9,PRE9,PRE9F,PREPHY9,PREPHY9F,PXYB9,&
 & PKOZO,&
 & PGP2DSDT,&
 & PCTY0,&
 & PB1,PB2,PGMVT1,PGMVT1S,PGFLT1,&
 & PSP_SB,PSP_SG,PSP_RR,&
 & PSD_VF,PSD_VP,PSD_VV,PSD_VH,PSD_VA,PSD_VC,PSD_VD,PSD_SFL,PSD_SFO,&
 & PEMTD,PEMTU,PTRSW,PRMOON,PGPAR,&
 & PGDEOSI,PGUEOSI,PGMU0,PGMU0_MIN,PGMU0_MAX,&
 & PGDEOTI,PGDEOTI2,PGUEOTI,PGUEOTI2,PGEOLT,PGEOXT,&
 & PGRPROX,PGMIXP,PGFLUXC,PGRSURF,&
 & PDHSF,PALB,PCAPE,PCLCC,PCLCH,PCLCL,PCLCM,PCLCT,PCLPH,PVEIN,PCT,&
 & PDIFCQ,PDIFCQI,PDIFCQL,PDIFCS,PDIFTQ,PDIFTQI,PDIFTQL,PDIFTS,&
 & PFCCQL,PFCCQN,PFCHOZ,PFCHSP,PFCLL,PFCLN,PFCQING,PFCQLNG,PFCQNG,PFCS,&
 & PFCSQL,PFCSQN,PFEVL,PFEVN,PFEVV,PFGEL,PFGELS,PFLWSP,PFONTE,&
 & PFPLCL,PFPLCN,PFPLCG,PFPLCHL,PFPLSL,PFPLSN,PFPLSG,PFPLSHL,&
 & PFRMH,PFRSO,PFRSOC,PFRSODS,PFRSOLU,&
 & PFRSOPS,PFRSOPT,PFRTH,PFRTHC,PFRTHDS,PFTR,PGZ0,PGZ0H,PNEB,&
 & PQCLS,PQICE,PQLI,PQS,&
 & PRH,PRHCLS,PRUISL,PRUISP,PRUISS,&
 & PSTRCU,PSTRCV,PSTRDU,PSTRDV,PSTRMU,PSTRMV,PSTRTU,PSTRTV,&
 & PDIFCQLC,PDIFCQIC,PFIMCC,&
 & PFEDQLC,PFEDQIC,PFEDQRC,PFEDQSC,PFCNEGQLC,PFCNEGQIC,PFCNEGQRC,PFCNEGQSC,&
 & PUCLS,PVCLS,PTCLS,PUGST,PVGST,&
 & PMOCON,PFDIS,&
 & PFHPCL,PFHPCN,PFHPSL,PFHPSN,PFHSCL,PFHSCN,PFHSSL,PFHSSN,&
 & PFEPFP, PFCMPCQ, PFCMPSN, PFCMPSL,&
 & PTENDU,PTENDV,&
 & PQSOL,&
 & PFPFPSL,PFPFPSN,PFPFPCL,PFPFPCN,PFPEVPSL,PFPEVPSN,&
 & PFPEVPCL,PFPEVPCN,PDERNSHF,&
 & PFCQRNG, PFCQSNG,PDIAGH) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSA ,NFLEVG ,NFLSUL ,NPROMA ,&
 & NPROMM ,NPROMVC 
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE YOMPHY , ONLY : NDPSFI ,LMPHYS ,LOZONE ,LRRGUST ,&
 & LNEBN ,LNEBR ,LCVPRO ,LCDDPRO ,LCVPGY ,LAJUCV ,&
 & LSTRAPRO , L3MT, LPHSPSH ,LSOLV ,CGMIXLEN, LPTKE ,LCOEFKTKE,&
 & NSORAYFR 
USE YOMDPHY , ONLY : NVCLIS ,NTSSG
USE SURFACE_FIELDS_MIX , ONLY :&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR,&
 & YSD_VFD, YSD_VF, YSD_VPD, YSD_VP, YSD_VVD, YSD_VV, YSD_VHD, YSD_VH,&
 & YSD_VAD, YSD_VA, YSD_VCD, YSD_VC, YSD_SFO, YSD_SFL, YSD_SFOD,&
 & YSD_SFLD, YSD_VDD, YSD_VD 
USE YOM_YGFL , ONLY : YGFL ,YGFLC, YQ , YL , YI ,&
 & YS ,YR ,YG ,YTKE , YO3 ,YCPF ,&
 & YSPF ,YEXT ,NGFL_EXT, YCVV ,YEZDIAG ,NGFL_EZDIAG ,&
 & YA ,YH ,YCVGQ , YTTE, YMXL, YEFB1, YEFB2, YEFB3 ,&
 & YDAL ,YDOM , YUAL , YUOM ,YUNEBH ,YUEN ,&
 & YRKTH ,YRKTQV ,YRKTQC ,YLRAD ,YIRAD ,YSRC ,&
 & YLCONV, YICONV, YRCONV, YSCONV 
USE YOMGMV , ONLY : YT0 ,YT9 ,YT1 ,NDIMGMV ,NDIMGMVS
USE YOMPARAR , ONLY : NRR ,NGPAR ,MVTS
USE YOMGC , ONLY : TGSGEOM ,TOROG
USE YOMGEM , ONLY : TCSGEOM
USE INTDYN_MOD,ONLY : YYTCTY0 ,YYTRCP0 ,YYTRCP9 ,YYTXYB0_PHY,YYTXYB9_PHY
USE YOMSPSDT , ONLY : YGPSDT
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KGL3
INTEGER(KIND=JPIM),INTENT(IN) :: KGL4
INTEGER(KIND=JPIM),INTENT(IN) :: KOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDRETCFOU
LOGICAL ,INTENT(IN) :: LDWRTCFOU0
LOGICAL ,INTENT(IN) :: LDLADNMI
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
TYPE(TCSGEOM) ,INTENT(IN) :: YDCSGEOM
TYPE(TGSGEOM) ,INTENT(IN) :: YDGSGEOM
TYPE(TOROG) ,INTENT(IN) :: YDOROG
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCUCONVCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNLCONVCA(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PWT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRCP0(NPROMA,NFLEVG,YYTRCP0%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXYB0(NPROMA,NFLEVG,YYTXYB0_PHY%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0H(NPROMVC,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRCP9(NPROMA,NFLEVG,YYTRCP9%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PREPHY9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXYB9(NPROMA,NFLEVG,YYTXYB9_PHY%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(NPROMA,NFLEVG*NVCLIS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGP2DSDT(NPROMA,YGPSDT%NG2D )
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCTY0(NPROMA,0:NFLEVG,YYTCTY0%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VP(NPROMA,YSD_VPD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VV(NPROMA,YSD_VVD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VH(NPROMA,YSD_VHD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VA(NPROMA,YSD_VAD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VC(NPROMA,YSD_VCD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VD(NPROMA,YSD_VDD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_SFL(NPROMA,YSD_SFLD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_SFO(NPROMA,YSD_SFOD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTU(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSW(NPROMA,1:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRMOON(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPAR(NPROMA,NGPAR+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGDEOSI(NPROMM,0:NFLEVG,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGUEOSI(NPROMM,0:NFLEVG,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMU0(NPROMM,NSORAYFR)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMU0_MIN(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMU0_MAX(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGDEOTI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGDEOTI2(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGUEOTI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGUEOTI2(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOLT(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOXT(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGRPROX(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMIXP(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLUXC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGRSURF(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHSF(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALB(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCAPE(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCC(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLPH(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVEIN(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCT(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQI(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHOZ(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPFPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHSP(NPROMM,YSP_SBD%NLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQING(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQLNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCQNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(NPROMM,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVV(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGEL(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGELS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLWSP(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFONTE(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCHL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSHL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRMH(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQLC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQIC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFIMCC (NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEDQLC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEDQIC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEDQRC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEDQSC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCNEGQLC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCNEGQIC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCNEGQRC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCNEGQSC(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(NPROMM,0:NFLEVG,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOC(NPROMM,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSODS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOLU(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPT(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(NPROMM,0:NFLEVG,NTSSG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHC(NPROMM,0:1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHDS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTR(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0H(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISL(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISP(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUISS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRDV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRMV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUGST(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVGST(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMOCON(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDIS(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSCL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSCN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSSL(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHSSN(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEPFP(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPCQ(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSN(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCMPSL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDU(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDV(NPROMM,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQSOL(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDERNSHF(NPROMM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQRNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQSNG(NPROMM,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIAGH(NPROMA)
END SUBROUTINE MF_PHYS
END INTERFACE
