INTERFACE
SUBROUTINE ACDIFV3 ( KIDIA,KFDIA,KLON,KTDIA,KLEV,KSTEP,&
 & PAPRS,PAPHI,PAPHIF,PCP,PDELP,PKTROV,PXTROV,&
 & PR,PRDELP,PCHROV,PXHROV,&
 & PNEBQ,PQ,PQL,PQI,PU,PV,PT,PALPH,PLNPR,&
 & PLML, PTH_FUN,PWW_FUN,PF_EPS,&
 & PDIFTS,PDIFTQ,PTKE,PTENDPTKE,&
 & PMN2_ES,PMN2_EQ,PMN2_DS,PMN2_DQ,&
 & PDIFTQL,PDIFTQI,&
 & PDIFWQ,PDIFWS,&
 & PFCLL,PFCLN,PFCS,PFEVI,PFEVL,PFEVN,&
 & PGZ0,PRTI,&
 & PSC_FEVI,PSC_FEVN,PSC_FCLL,PSC_FCLN,&
 & PTSTAR,PTSTAR2,PTSTARQ,PTSTAR2Q) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PXHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEBQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH_FUN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWW_FUN (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PF_EPS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_ES (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_EQ (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_DS (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_DQ (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLML(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDPTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFWQ(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFWS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSC_FEVI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSC_FEVN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSC_FCLL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSC_FCLN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSTAR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSTAR2(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSTARQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTSTAR2Q(KLON,0:KLEV)
END SUBROUTINE ACDIFV3
END INTERFACE
